MediaWiki:Common.css: Difference between revisions

mNo edit summary
mNo edit summary
 
(48 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* Dark 220726 - for MinervaNeue */
/* only public wiki - hide talk link */
.minerva__tab-container {
    display: none;
}
 
.talk.mw-ui-button {
visibility: hidden;
}
 
/* 220729 - action menu hid */
.page-actions-menu {
border-top: 0;
border-bottom: 0;
/* logged in user must change to vector skin to edit */
visibility: hidden;
}


/* only public wiki */


/* hide talk link */
body {
#minerva__tab-container {
  background-image:url(-) !important;
    display: none;
}
}


body .mw-page-container, body #mw-panel {
background-color: unset !important;
    background-image: unset !important;
}


/* all wikis */
/* <span class="light-bg"> for transparent images */
.light-bg {
background-color: #fff;
}
 
/* internal and public wiki */
body {
color: #fff;
    background-color: #222;
}
a {
color: #c83;
}
h2 {
    color: #fc6;
}


body table.wikitable,
body table.wikitable,
body table.prettytable {
body table.prettytable,
background-color: #282828;
border-color: #555;
}
body table.wikitable > * > tr > th,
body table.wikitable > * > tr > th,
body table.wikitable > * > tr > td,
body table.wikitable > * > tr > td,
body table.prettytable > * > tr > th,
body table.prettytable > * > tr > th,
body table.prettytable > * > tr > td {
body table.prettytable > * > tr > td {
background-color: #282828;
background-color: #333 !important;
border-color: #555;
border-color: #000 !important;
}
 
.header-container.header-chrome {
background-color: #000;
}
 
 
.last-modified-bar a ,
.footer, .minerva-footer {
background-color: #343739;
}
}


body,
body,
.header-container.header-chrome,
#content,
#content,
footer,
.content table.infobox,
.content table.infobox,
.mw-highlight,
.mw-highlight,
Line 35: Line 72:
}
}
#mw-script-doc {
#mw-script-doc {
background-color: #222;
background-color: #222!important;
}
}
.header-container,
 
.header-chrome,
.hatnote,
.hatnote,
.dablink,
.dablink,
Line 65: Line 101:
border: 0;
border: 0;
}
}
.fmbox-warning {
table.fmbox-warning {
background-color: #794747;
background-color: #794747;
}
}


/* Links */
/* Links */
 
.extiw a, .extiw a:visited, .branding-box a, .branding-box a:visited,
.pBody ul li a, .pBody ul li a:visited, .subpages a, .subpages a:visited, body a, body a:visited, a, a:visited {
.pBody ul li a, .pBody ul li a:visited, .subpages a, .subpages a:visited, body a, body a:visited, a, a:visited {
     color: #ec7;
     color: #ec7 !important;
}
}


.pBody ul li a.new, .pBody ul li a.new:visited, .subpages a.new, .subpages a.new:visited, body a.new, body a.new:visited, a.new, a.new:visited, .pBody ul li.new a, .pBody ul li.new a:visited, li.new a, li.new a:visited, body .lienbrisé {
.pBody ul li a.new, .pBody ul li a.new:visited, .subpages a.new, .subpages a.new:visited, body a.new, body a.new:visited, a.new, a.new:visited, .pBody ul li.new a, .pBody ul li.new a:visited, li.new a, li.new a:visited, body .lienbrisé {
     color: #ec7;
     color: #e8c773;
}
}


.mw-kartographer-autostyled {
body a.mw-kartographer-autostyled {
     color: #fff;
     color: #fff !important;
}
}


/* Menu drawer */
/* Menu drawer */
#mw-mf-page-left {
#mw-mf-page-left {
  background-color: #333;
}
#p-navigation li  a ,
#p-interaction li  a ,
#pt-preferences li  a {
   background-color: #000;
   background-color: #000;
}
}


#p-navigation li a {
/* 220729 - Vector skin darkening for editing after disabling action menu in minerva */
  background-color: #321;
#mw-header,
#mw-navigation,
#mw-panel
  {
background-image: none !important;
background-color: #444 !important;
}
}


#p-interaction li a {
.vector-menu-tabs li {
  background-color: #321;
background-image: unset !important;
background-color: #444 !important;
}
}


#pt-preferences li  a {
body .vectorbox {
  background-color: #321;
background-color: #333;
}
}
 
body .mw-sidebar-action .mw-sidebar-action-item h3.mw-sidebar-action-heading,
body {
body .vector-menu-portal .vector-menu-heading {
color: #fff;
color: #fff;
}
h2 {
    color: #fc6;
}
}